/**
 * grid_0.js
 *
 * To test and debug grid widget -- the simplest case
 * $Id$
 *
 */
Ext.namespace('App.grid');

/**
 * main function
 */

var main = function(provider, response){

    var cfg,
        grid,
        vp;
        
    if (response instanceof String) {
        Ext.Msg.alert('ERROR', response);
        return;
    }
    
    if (response.type === 'exception') {
        Ext.Msg.alert('ERROR', response.xhr.statusText);
        return;
    }
    
    cfg = response.result;
    cfg.plugins  = ['pGridRowEditor', 'pGridRowEditorContextMenu'];
    
    var vp = new Ext.Viewport({
        region: 'center',
        layout: 'fit',
        items: [cfg],
    });
};


Ext.onReady(function(){

    Ext.QuickTips.init();
    Ext.Direct.addProvider(App.REMOTE_API);

	Dbui.getGrid('countries', main)
});